[pitivi] script: do not build submodules from scratch everytime



commit 2b89ba140b272ef4ab6d804ee6ea81dc60974065
Author: Joris Valette <joris valette gmail com>
Date:   Mon May 13 17:14:27 2013 +0200

    script: do not build submodules from scratch everytime

 bin/pitivi-git-environment.sh |   48 +++++++++++++++++++++++++---------------
 1 files changed, 30 insertions(+), 18 deletions(-)
---
diff --git a/bin/pitivi-git-environment.sh b/bin/pitivi-git-environment.sh
index 03ba25b..4b1221e 100755
--- a/bin/pitivi-git-environment.sh
+++ b/bin/pitivi-git-environment.sh
@@ -261,11 +261,15 @@ if [ "$ready_to_run" != "1" ]; then
 
 
         # Now compile that module
-        ./autogen.sh --prefix=$PITIVI/prefix --disable-gtk-doc --with-python=python2
-        if [ $? -ne 0 ]; then
-            echo "Could not run autogen for $m ; result: $?"
-            exit 1
-        fi
+       if test ! -f ./configure; then
+            ./autogen.sh --prefix=$PITIVI/prefix --disable-gtk-doc --with-python=python2
+            if [ $? -ne 0 ]; then
+               echo "Could not run autogen for $m ; result: $?"
+               exit 1
+            fi
+       else
+           echo "autogen has already been run for $m, not running it again"
+       fi
 
         make
         if [ $? -ne 0 ]; then
@@ -326,15 +330,19 @@ if [ "$ready_to_run" != "1" ]; then
             fi
         fi
 
-        if $BUILD_DOCS; then
-            ./autogen.sh
-        else
-            ./autogen.sh --disable-gtk-doc
-        fi
-        if [ $? -ne 0 ]; then
-            echo "Could not run autogen for $m ; result: $?"
-            exit 1
-        fi
+       if test ! -f ./configure; then
+            if $BUILD_DOCS; then
+               ./autogen.sh
+            else
+               ./autogen.sh --disable-gtk-doc
+            fi
+            if [ $? -ne 0 ]; then
+               echo "Could not run autogen for $m ; result: $?"
+               exit 1
+            fi
+       else
+           echo "autogen has already been run for $m, not running it again"
+       fi
 
         make
         if [ $? -ne 0 ]; then
@@ -349,10 +357,14 @@ if [ "$ready_to_run" != "1" ]; then
         git clone git://git.gnome.org/pitivi
     fi
     cd pitivi
-    ./autogen.sh
-    if [ $? -ne 0 ]; then
-        echo "Could not run autogen for Pitivi ; result: $?"
-        exit 1
+    if test ! -f ./configure; then
+       ./autogen.sh
+       if [ $? -ne 0 ]; then
+            echo "Could not run autogen for Pitivi ; result: $?"
+            exit 1
+       fi
+    else
+       echo "autogen has already been run for Pitivi, not running it again"
     fi
     make
     ready_to_run=1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]